; docformat = 'rst'

;+
; IDL-OPENDAP interface.
;
; :Private:
;
; :Author: 
;    Patrick West <mrpatrickwest@gmail.com> UCAR/HAO
;
;    Dan Holloway <d.holloway@opendap.org>
;
; :Copyright:
;    Copyright (c) 2006 OPeNDAP, Inc.
;
;    This is free software; you can redistribute it and/or
;    modify it under the terms of the GNU Lesser General Public
;    License as published by the Free Software Foundation; either
;    version 2.1 of the License, or (at your option) any later version.
; 
;    This library is distributed in the hope that it will be useful,
;    but WITHOUT ANY WARRANTY; without even the implied warranty of
;    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
;    Lesser General Public License for more details.
; 
;    You should have received a copy of the GNU Lesser General Public
;    License along with this library; if not, write to the Free Software
;    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
;
;    You can contact OPeNDAP, Inc. at PO Box 112, Saunderstown, RI. 02874-0112.
;-
 
;
; Batch file to set up system variables and link external routines.
;

DEFSYSV, '!opendap_null_c', 0
DEFSYSV, '!opendap_NODE_root', 551419905
DEFSYSV, '!opendap_NODE_Byte', 551419906
DEFSYSV, '!opendap_NODE_Int16', 551419907
DEFSYSV, '!opendap_NODE_UInt16', 551419908
DEFSYSV, '!opendap_NODE_Int32', 551419909
DEFSYSV, '!opendap_NODE_UInt32', 551419910
DEFSYSV, '!opendap_NODE_Float32', 551419911
DEFSYSV, '!opendap_NODE_Float64', 551419912
DEFSYSV, '!opendap_NODE_String', 551419913
DEFSYSV, '!opendap_NODE_URL', 551419914
DEFSYSV, '!opendap_NODE_List', 551419915
DEFSYSV, '!opendap_NODE_Sequence', 551419916
DEFSYSV, '!opendap_NODE_Array', 551419917
DEFSYSV, '!opendap_NODE_Grid', 551419918
DEFSYSV, '!opendap_NODE_Structure', 551419919
DEFSYSV, '!opendap_ATTR_Unknown', 175570945
DEFSYSV, '!opendap_ATTR_Alias', 175570946
DEFSYSV, '!opendap_ATTR_Byte', 175570947
DEFSYSV, '!opendap_ATTR_Int16', 175570948
DEFSYSV, '!opendap_ATTR_UInt16', 175570949
DEFSYSV, '!opendap_ATTR_Int32', 175570950
DEFSYSV, '!opendap_ATTR_UInt32', 175570951
DEFSYSV, '!opendap_ATTR_Float32', 175570952
DEFSYSV, '!opendap_ATTR_Float64', 175570953
DEFSYSV, '!opendap_ATTR_String', 175570954
DEFSYSV, '!opendap_ATTR_URL', 175570955
DEFSYSV, '!opendap_ARRAY_Byte', 0
DEFSYSV, '!opendap_ARRAY_Int16', 1
DEFSYSV, '!opendap_ARRAY_UInt16', 2
DEFSYSV, '!opendap_ARRAY_Int32', 3
DEFSYSV, '!opendap_ARRAY_UInt32', 4
DEFSYSV, '!opendap_ARRAY_Float32', 5
DEFSYSV, '!opendap_ARRAY_Float64', 6
DEFSYSV, '!opendap_ARRAY_String', 7
DEFSYSV, '!opendap_ARRAY_URL', 8
DEFSYSV, '!opendap_ARRAY_Sequence', 9
DEFSYSV, '!opendap_ARRAY_Array', 10
DEFSYSV, '!opendap_ARRAY_Grid', 11
DEFSYSV, '!opendap_ARRAY_Structure', 12


